#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/11/7 16:16
# @File        : task.py
# @Description :
"""

import datetime

from application.dao import LogDao
from application.extensions.init_sqlalchemy import db


def task():
    """
    Some Tasks.

    :return: None
    """
    # end_stamp = datetime.datetime.now()
    # start_stamp = end_stamp - datetime.timedelta(days=1)
    # start = start_stamp.strftime('%Y-%m-%d %H:%M:%S')
    # end = end_stamp.strftime('%Y-%m-%d %H:%M:%S')
    start = "2021-11-08 00:00:00"
    end = "2021-11-09 00:00:00"
    with db.app.app_context():
        index = db.app.config.Elasticsearch.Index
        cfg = db.app.config.ExtraDB
        options = {
            "host": cfg.Host,
            "user": cfg.User,
            "password": cfg.Password,
            "database": cfg.DB,
            "port": cfg.Port,
        }
        sql = cfg.Sql
        LogDao.parse(start, end, index, sql, options)

